org.codehaus.groovy.classgen

## Class GeneratorContext

- java.lang.Object
- - org.codehaus.groovy.classgen.GeneratorContext

    public class GeneratorContext
    extends java.lang.Object

A context shared across generations of a class and its inner classes

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`GeneratorContext(CompileUnit compileUnit)`
`GeneratorContext(CompileUnit compileUnit, int innerClassOffset)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `encodeAsValidClassName(java.lang.String name)`
`CompileUnit` `getCompileUnit()`
`java.lang.String` `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` `getNextInnerClassIdx()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

#### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit,
                            int innerClassOffset)

### Method Detail

#### getNextInnerClassIdx

    public int getNextInnerClassIdx()

#### getCompileUnit

    public CompileUnit getCompileUnit()

#### getNextClosureInnerName

    public java.lang.String getNextClosureInnerName(ClassNode owner,
                                                    ClassNode enclosingClass,
                                                    MethodNode enclosingMethod)

#### encodeAsValidClassName

    public static java.lang.String encodeAsValidClassName(java.lang.String name)